<template>
  <v-container>
    <h1>Les horaires d'entraînement</h1>

    <v-tabs background-color="transparent" centered optional>
      <template v-for="(activity, id) in activities" v-if="activity.trainings">
        <v-tab :key="`${id}`" :to="`/infos/horaires/${id}`" nuxt>
          {{ activity.name }}
        </v-tab>
      </template>
    </v-tabs>
    <nuxt-child :key="$route.params.activity" />
  </v-container>
</template>

<script>
import { mapState } from 'vuex'

export default {
  computed: {
    ...mapState(['activities']),
  },

  head() {
    return {
      title: 'Horaires',
    }
  },
}
</script>
